Bug 726743 - gnome-python2-bonobo has missing deps
gnome-python2-bonobo has missing deps
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-python2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
AcceptedBlocker
: Triaged
Depends On:
Blocks: F16Alpha/F16AlphaBlocker
  Show dependency treegraph
 
Reported: 2011-07-29 13:00 EDT by Dennis Gilmore
Modified: 2011-08-12 00:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-05 12:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2011-07-29 13:00:57 EDT
Description of problem:

Unable to compose fedora 16 images due to broken deps
pyorbit was removed in the orphan cleanup 


Please fix it asap as we need this fixed to build images for f16

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Flink 2011-07-29 13:28:56 EDT
Discussed in the 2011-07-29 blocker review meeting. Accepted as F16 alpha blocker due to violation of the following criteria:

There must be no file conflicts (cases where the files in some packages conflict but the packages have explicit Conflicts: tags are acceptable) or unresolved package dependencies during a media-based (DVD) install.

https://fedoraproject.org/wiki/Fedora_16_Alpha_Release_Criteria
Comment 2 Adam Williamson 2011-07-29 13:31:21 EDT
FWIW:

[root@adam Fedora]# repoquery --whatrequires gnome-python2-bonobo
gnome-python2-bonobo-0:2.28.1-4.fc15.x86_64
at-spi-python-0:1.32.0-5.fc16.x86_64
deskbar-applet-0:2.32.0-4.fc15.x86_64
gajim-0:0.14.3-1.fc16.noarch
gjots2-0:2.3.15-1.fc16.noarch
gnome-python2-libegg-0:2.25.3-31.fc16.x86_64
ldtp-0:2.0.6-4.fc15.x86_64
rhn-setup-gnome-0:1.4.16-1.fc16.noarch
soundconverter-0:1.5.4-7.fc16.noarch
system-config-lvm-0:1.1.16-4.fc16.noarch
system-config-network-0:1.6.3-1.fc16.noarch
terminator-0:0.95-3.fc15.noarch

I figured Python interface for Bonobo should be a pretty dead letter by now,
but apparently not. Desktop team, can you figure out what's best to do here?
Thanks!
Comment 3 Fedora Update System 2011-07-29 16:48:53 EDT
lorax-16.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lorax-16.4-2.fc16
Comment 4 John Reiser 2011-08-01 16:06:00 EDT
Even after installing lorax-16.4-2.fc16, the DVD compose still fails:
-----
creating tree directories
getting list of required packages
cannot install pyorbit: No package(s) available to install     *****
downloading packages
checking package signatures
running test transaction
yum transaction error: [u'ERROR with transaction check vs depsolve:', 'pyorbit >= 2.0.1 is needed by gnome-python2-bonobo-2.28.1-4.fc15.x86_64', 'pyorbit is needed by at-spi-python-1.32.0-5.fc16.x86_64', u'Please report this error at http://yum.baseurl.org/report']                              *****
-----
Comment 5 Adam Williamson 2011-08-02 14:02:29 EDT
dennis, was the lorax update sufficient to resolve this for the tc1 compose, or did you have to make some other change? it'd be useful to be clear on this. thanks!
Comment 6 Adam Williamson 2011-08-03 20:55:14 EDT
I think we can close this, as TC1 was composed, and pyorbit was re-added to the repos in any case? Dennis, please confirm. Thanks.
Comment 7 Dennis Gilmore 2011-08-05 12:22:43 EDT
yep fixed
Comment 8 Fedora Update System 2011-08-12 00:58:49 EDT
lorax-16.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.